<ng-container *appVar="(userProfile$ | async) as userProfile">
  <ng-container *appVar="(treesCount$ | async) as treesCount">
    <div class="stats">
      <div class="text-body">Посажено деревьев:
        <span class="title-h3">{{treesCount}}</span>
      </div>

      <div class="remaining body-1 text-secondary">До нового дерева осталось:
        <ng-container *appVar="(bonusCount$ | async) as bonusCount">
          <span>{{ getRemainingBonuses(bonusCount) }}</span>

          <mat-icon [svgIcon]="BasicSvgIcon.Leaf" class="leaf"></mat-icon>
        </ng-container>
      </div>
    </div>

    <div class="tree-container">
      <img [src]="treeImage"
           width="300"
           height="400"
           alt="Дерево"
      />

      <div class="flex-d-r">
        <button mat-raised-button
                color="primary"
                class="m-r-24"
                [disabled]="userProfile.bonusCount < 50"
                (click)="plantTree()"
        >
          Посадить дерево
        </button>

        <button mat-stroked-button
                color="primary"
                [routerLink]="['/', ApplicationRoutes.Services]"
        >
          Другие предложения
        </button>
      </div>
    </div>
  </ng-container>
</ng-container>
